<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class MainFeatureSectionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'main_feature_section_status' => 'nullable',
            'main_feature_title'=> 'required|string',
            'main_feature_short_description'=>'required|string'
        ];
    }
}
